操蛋的easyUI 对IE6、7、8兼容问题

蜡笔小新_ 发布于 2014/07/11 11:33
阅读 16K+
收藏 3

项目使用了easyUI的datagrid  我用的版本是easyUI 1.3.6+jquery1.8

我使用ietestr工具测试的

问题如下:

IE6:直接打不开这个网页

IE7和8还有10:datagrid的表头不显示了!!!!!谷歌和火狐就很好。

其他的还好,主要就是这几个问题,客户那边用的也就是6、7、8这几个

对于让客户换浏览器是不可行的,因为是全省的项目,地市都要用,要求换的话不太现实。

怎么办呐。。。。疯了。。。

我尝试过低版本,jquery1.6+easyUI1.3.2  但是一个样。。。。

有没有好的解决方案,谢过!

加载中
0
祺爸PiscDong
祺爸PiscDong
操蛋的是ie
蜡笔小新_
蜡笔小新_
确实!
0
偶看
偶看
看 easyUI 的demo,支持IE8啊,是不是哪里写错了?
蜡笔小新_
蜡笔小新_
没有吧。。。关键10以上显示啊
0
大洋的顶端
大洋的顶端

建议客户换浏览器看看,XP不能安装IE10,那就用火狐或者谷歌浏览器。

你做程序的时候直接用IE10测试?这么没有经验?假如是商业程序会被你玩死。

假如用安卓最新版本的4.4的SDK做一个项目,而现在市面上的手机大多数是安卓2.0-安卓4.0左右的系统,这样玩下去整个项目全毁了。

做程序先弄清对方的浏览器版本,操作系统,单机还是网络?内网还是外网?多少人在线并发?机器的基本配置等等.

特别是一些人喜欢用新特性,新版本,根本不注意现实的要求。

蜡笔小新_
蜡笔小新_
嗯 对
0
1386studio
1386studio
我觉得直接打不开的问题可以解决,你是不是用  location.href="xxx/xxx.xxx";
蜡笔小新_
蜡笔小新_
这个真没用
0
1386studio
1386studio

8.easyui 在datagrid中添加JS跳转没反应

Js代码 

function tourl(url){   
    location.href=url;   
    window.event.returnValue = false;    

引用自 http://www.kuaipao8.com/?p=712

0
iSea
iSea
这个应该是ietest的bug,用正常的ie浏览器应该没有此问题吧
蜡笔小新_
蜡笔小新_
也不行 别人的IE8给我测的 也是不行。
0
错觉
错觉
2个xp虚拟机 一个ie6 一个ie7 应该没问题的
0
朱__朱
朱__朱
跳槽吧
进击的代码
进击的代码
这就是为什么我如此不喜欢做前端开发的原因
0
灰花走湿
灰花走湿
easyui 对ie的支持还是不太行,对chrome,firefox还好,
0
缪斯的情人
缪斯的情人
你的问题,1.3.5一直在用,没你说的问题,项目兼容ie6,找找原因,抱怨是没用的。另:那些建议用户换浏览器的,是没做过政企项目吧,你让他们换个浏览器试试
缪斯的情人
缪斯的情人
很明显你的问题,还用讨论吗?闭嘴吧
蜡笔小新_
蜡笔小新_
谁抱怨了啊,我这不是来跟他们讨论一下嘛,你要是不能说话就别说
返回顶部
顶部